﻿@using Jb.Framework.Common.Forms
@model JbSection

@Html.GenerateHiddenFields(Model)

@foreach (var accRole in Model.AccessRole)
{
    @Html.HiddenFor(modelItem => accRole)
}

@{
    var htmlAttrs = new Dictionary<string, object> { { "title", @Model.HelpText } };
    InputHelper.InputAccessible(Model, (VisibilityMode)ViewBag.VisibleMode, ref htmlAttrs);
}

<div class="full-width JbSection @Model.CurrentMode" data-clientid="@Model.Name"
     style="display: @(Model.VisibleMode != VisibilityMode.Both && Model.VisibleMode != (VisibilityMode)ViewBag.VisibleMode ? "none" : "block")">

    @if (!string.IsNullOrEmpty(Model.Title))
    {
        <h3 class="jb-section-title">@Model.Title</h3>
    }
    <div>
        @for (var i = 0; i < Model.Elements.Count(); i++)
        {
            @Html.EditorFor(m => m.Elements[i])
        }
    </div>
</div>

